package com.eitc.service;

import com.eitc.common.service.BaseService;
import com.eitc.entity.UserEntity;
import com.eitc.dto.LoginDTO;

import java.util.Map;

/**
 * 用户
 *
 * @author Mark eitc@163.com
 */
public interface UserService extends BaseService<UserEntity> {

	UserEntity getByMobile(String mobile);

	UserEntity getUserByUserId(Long userId);

	/**
	 * 用户登录
	 * @param dto    登录表单
	 * @return        返回登录信息
	 */
	Map<String, Object> login(LoginDTO dto);
}
